# Generated by Django 4.1.3 on 2022-11-09 09:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DateTimeMixin',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_at', models.DateTimeField(auto_now_add=True)),
                ('update_at', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='ZoomMeetingIntegration',
            fields=[
                ('datetimemixin_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='Execusion.datetimemixin')),
                ('topic', models.CharField(max_length=250)),
                ('duration', models.DateTimeField(blank=True, null=True)),
                ('type', models.CharField(blank=True, choices=[(1, 'Instant Meeting'), (2, 'Schedule Meeting')], max_length=5, null=True)),
                ('start_time', models.DateTimeField(blank=True, null=True)),
                ('agenda', models.CharField(blank=True, max_length=300, null=True)),
                ('url', models.TextField(blank=True, null=True)),
                ('password', models.CharField(blank=True, max_length=500, null=True)),
            ],
            bases=('Execusion.datetimemixin',),
        ),
    ]
